| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgNBCPU Struct Reference
Business Group Features

Attendant Answering Position. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
int * | NightBellCpuId
| The CPU ID of the Night Bell CPU Group. More...

## Detailed Description

Attendant Answering Position.

One of the possible destinations for the Hunt Group Night Service DN present in the Hunt 612 is a "Attendant Answering Position". The attendant answering position (AAP) feature provides support for a SIP-based AAP using a DFT, keyset telephone, or a soft client. The AAP functionality includes night service (automatic and manual control) to route calls to predefined night stations or other answering device- for example, to voice messaging, to an automated attendant application, or to a night bell device.

This is accomplished by the following provisioning steps.

- BGL_A is created using the CreateSubscriber SOAP request
- One or more additional BGLs, BGL_B, BGL_C, and so on, are created.
- The Simultaneous Ringing (SRS) feature is assigned to BGL_A using the UpdateSubscriberFeatures SOAP request.
- The Attendant Answering Position feature is assigned to the BG, providing a Night Bell CPU ID.
- BGL_A, BGL_B, BGL_C, etc are all added to the Night Bell CPU Group using the UpdateSubscriberBGInfo SOAP request.

The result is a group of lines, all of which ring simultaneously and are members of the same CPU Group. When a Hunt Group is configured with the DN of BGL_A as the Night Service DN and Night Service is active, incoming calls are diverted to BGL_A and all DNs in the Night Bell CPU Group ring. Any BGL in the BG may then dial a new Night Bell CPU access code to pick up the incoming call. In this scenario, the service logic for the Night Service feature must determine the Night Bell CPU ID for the BG
MP2 command: CFBgNBCPU [Attributes]

## Member Data Documentation

## ◆ Enabled

unsp__Enabled* unsp__CfBgNBCPU::Enabled

Standard Enabled flag.

## ◆ NightBellCpuId

int* unsp__CfBgNBCPU::NightBellCpuId

The CPU ID of the Night Bell CPU Group.

The SOAP Server verifies that the specified value is within the valid range. Note that the provided CPU ID may represent the ID of an already existing CPU Group the administrator should be aware of this.
required: true
default value[range]: NA [1..10000]

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgNBCPU::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h